require 'Extensions'

path_plug=Sketchup.find_support_file "Plugins"
require File.join(path_plug,'BLB-Bois','Ressources','Menu_BLB-Bois','resource_menu.rb')

	if (Sketchup.version.to_i < 14) then skp8_plugins_load() end# Sketchup 8 a 2013

	erase_old_versions()
		
	if not $blb_bois_zmenu_BLB_Bois_loaded 
		toolbar = UI::Toolbar.new("BLB-Bois")
		
		path_plugins=Sketchup.find_support_file("Plugins") 
		input_f= path_plugins+"/BLB-Bois/Ressources/Menu_BLB-Bois/Menu_BLB-Bois_param.txt"
		input_exist=File.exist?(input_f)
		if (input_exist.to_s=="true")
			f= File.open(input_f, "r") 
			libelle=[]
			f.each do |f_line|
				libelle<<f_line	
			end  # do
			f.close
		end   # file exist
		
		cmd = UI::Command.new("Piece") { UI.openURL("http://www.blb-bois.com/dao") }
		item_generation(["BLB-Bois","BLB-Bois","Extensions BLB-Bois","BLB-Bois"],cmd,toolbar)
					
		libelle.each {|l|
			lib=""
			l.each_byte {|b| if b >31 then lib<< b end}	
			if lib=="Piece" 
				if Object.const_defined?('Piece_generation') #Piece
					cmd = UI::Command.new("Piece") { Sketchup.active_model.select_tool Piece_generation.new }
					item_generation(["piece","Piece","Generer une piece","Piece"],cmd,toolbar)
				end

			elsif lib=="Tenon_Mortaise" 
				if Object.const_defined?('Tenon_Mortaise') #Tenon&Mortaise
					cmd = UI::Command.new("Tenon") { 
						@@TorM="Tenon" 
						Sketchup.active_model.select_tool Tenon_Mortaise.new} 
					item_generation(["tenon","Tenon","Usiner un tenon","Tenon"],cmd,toolbar)
					cmd = UI::Command.new("Mortaise") {
						@@TorM="Mortaise"
						Sketchup.active_model.select_tool Tenon_Mortaise.new} 
					item_generation(["mortaise","Mortaise","Usiner une mortaise","Mortaise"],cmd,toolbar)	
					cmd = UI::Command.new("Tenon_Mortaise") {
						@@TorM="Tenon_Mortaise" 
						Sketchup.active_model.select_tool Tenon_Mortaise.new} 
					item_generation(["tenon_mortaise","Tenon_Mortaise","Usiner un tenon et une  mortaise","Tenon_Mortaise"],cmd,toolbar)
				end

			elsif lib=="Usinage" 
				if Object.const_defined?('Usinage') # Rainure Feuillure Moulure
					cmd = UI::Command.new("Rainure") { 
						@@Usinage="Rainure_Feuillure"
						Sketchup.active_model.select_tool Usinage.new} 
					item_generation(["rainure","Rainure_Feuillure","Usiner une rainure ou une feuillure","Rainure_Feuillure"],cmd,toolbar)	
					cmd = UI::Command.new("Moulure") {
						@@Usinage="Moulure"
						Sketchup.active_model.select_tool Usinage.new}
					item_generation(["moulure","Moulure","Usiner une moulure","Moulure"],cmd,toolbar)
				end
				
			elsif lib=="Chapeau_gendarme" 
				if Object.const_defined?('Chapeau_gendarme') # Chapeau_gendarme
					cmd = UI::Command.new("Chapeau_gendarme") {Sketchup.active_model.select_tool Chapeau_gendarme.new} 
					item_generation(["chapeau","Chapeau_gendarme","Usiner un chapeau de gendarme","Chapeau_gendarme"],cmd,toolbar)	
				elsif Object.const_defined?('Chapeau_Gendarme') # Chapeau_gendarme
					cmd = UI::Command.new("Chapeau_gendarme") {Sketchup.active_model.select_tool Chapeau_Gendarme.new} 
					item_generation(["chapeau","Chapeau_gendarme","Usiner un chapeau de gendarme","Chapeau_gendarme"],cmd,toolbar)				
				end

			elsif lib=="Coupe"
				if Object.const_defined?('Coupe') && !Object.const_defined?('Coupe_2')
					cmd = UI::Command.new("Coupe") {Sketchup.active_model.select_tool Coupe.new} 
					item_generation(["coupe","Scie radiale","Faire une coupe","Scie radiale"],cmd,toolbar)	
				elsif Object.const_defined?('Coupe_2')
					cmd = UI::Command.new("Coupe") {Sketchup.active_model.select_tool Coupe_2.new} 
					item_generation(["coupe","Scie radiale","Faire une coupe","Scie radiale"],cmd,toolbar)					
				end


			elsif lib=="Tenon_Renfort"
				if Object.const_defined?('Tenon_Renfort') 
					cmd = UI::Command.new("Tenon_Renfort") {
						@@T_Rep="Tenon"
						Sketchup.active_model.select_tool Tenon_Renfort.new} 
					item_generation(["tenon_R","Tenon renforce","Usiner un tenon renforce","Tenon renforce"],cmd,toolbar)		 				
					cmd = UI::Command.new("Tenon_Renfort") {
						@@T_Rep="Tenon_Mortaise"
						Sketchup.active_model.select_tool Tenon_Renfort.new}
					item_generation(["tenon_mortaise_R","Tenon et mortaise renforces","Usiner des tenons et mortaises renforces","Tenon et mortaise renforces"],cmd,toolbar)		 				
				end

			elsif lib=="Fiche_debit"
				if Object.const_defined?('Fiche_debit') 
					cmd = UI::Command.new("Fiche debit") {Sketchup.active_model.select_tool Fiche_debit.new} 
					item_generation(["fiche","Fiche debit","Generer la fiche de debit","Fiche debit"],cmd,toolbar)		 				
				end

			elsif lib=="Rafale_TM"
				if Object.const_defined?('Rafale_TM') 	
					cmd = UI::Command.new("Simple") {
						@@R_tm="simple"
						Sketchup.active_model.select_tool Rafale_TM.new} 
					item_generation(["R_tenon_mortaise","Rafale TM simple","Usiner en rafale un assemblage TM simple","Rafale TM simple"],cmd,toolbar)		 				
					cmd = UI::Command.new("Renforce") { Rafale_TM.new
						@@R_tm="renforce"
						Sketchup.active_model.select_tool Rafale_TM.new} 
					item_generation(["R_tenon_mortaise_R","Rafale TM renforce","Usiner en rafale un assemblage TM renforce","Rafale TM renforce"],cmd,toolbar)		 				
				end

			elsif lib=="Assemblage"
				if Object.const_defined?('Assemblage') && !Object.const_defined?('Assemblage_2')
					cmd = UI::Command.new("Lamelle") { 
						@@Assemblage="Lamelle"
						Sketchup.active_model.select_tool Assemblage.new} 
					item_generation(["lamelle","Lamelle","Assembler par lamelles","Lamelle"],cmd,toolbar)
					cmd = UI::Command.new("Domino") {
						@@Assemblage="Domino"
						Sketchup.active_model.select_tool Assemblage.new} 
					item_generation(["domino","Domino","Assembler par dominos","Domino"],cmd,toolbar)
					cmd = UI::Command.new("Tourillon") { Assemblage.new
						@@Assemblage="Tourillon"
						Sketchup.active_model.select_tool Assemblage.new} 
					item_generation(["tourillon","Tourillon","Assembler par tourillons","Tourillon"],cmd,toolbar)			
					cmd = UI::Command.new("Rainure Languette") { Assemblage.new
						@@Assemblage="R_L"
						Sketchup.active_model.select_tool Assemblage.new } 
					item_generation(["R_L","Rainure Languette","Assembler par rainure languette","Rainure Languette"],cmd,toolbar)
					cmd = UI::Command.new("Rainure Fausse Languette") {
						@@Assemblage="R_FL"
						Sketchup.active_model.select_tool Assemblage.new} 
					item_generation(["R_FL","Rainure Fausse Languette","Assembler par rainure et fausse languette","Rainure Fausse Languette"],cmd,toolbar)
					cmd = UI::Command.new("Queue d'Aronde") {
						@@Assemblage="Aronde"
						Sketchup.active_model.select_tool Assemblage.new } 
					item_generation(["Q_A","Queue d'Aronde","Assembler par  queue d'aronde","Queue d'Aronde"],cmd,toolbar)			
				elsif Object.const_defined?('Assemblage_2') 	
					cmd = UI::Command.new("Assemblages") {
						@@Assemblage="Lamelle"
						Sketchup.active_model.select_tool Assemblage_2.new} 
					item_generation(["Assemblage","Assemblages","Realise un assemblage","Assemblages"],cmd,toolbar)		 				
				end
	
			elsif lib=="Bouvetage"	
				if Object.const_defined?('Bouvetage') 
					cmd = UI::Command.new("Bouvetage") {
						@@Bouvetage="R_L"
						Sketchup.active_model.select_tool Bouvetage.new} 
					item_generation(["Bouvetage","Bouvetage","Usiner un bouvetage","Bouvetage"],cmd,toolbar)		 				 
				end

			elsif lib=="Usinage_contour"
				if Object.const_defined?('Usinage_contour') 
					cmd = UI::Command.new("Usinage_Contour") {
						@@U_c="Rainure"
						Sketchup.active_model.select_tool Usinage_contour.new} 
					item_generation(["Usinage_C","Usinage d'un contour","Usiner un contour, rainure ou moulure","Usinage d'un contour"],cmd,toolbar)		 				 				   
				end

			elsif lib=="Usinage_cadre"	
				if Object.const_defined?('Usinage_cadre') 
					cmd = UI::Command.new("Usinage_Cadre") {Sketchup.active_model.select_tool Usinage_cadre.new} 
					item_generation(["cadre","Usiner un cadre","Usinage d'un cadre","Usiner un cadre"],cmd,toolbar)		 				
				end

			elsif lib=="Percer_fraiser_chambrer"
				present = true
				present=false unless defined? percer_fraiser_chambrer_05_b_V2014_FREE_FR
				if present
					cmd = UI::Command.new("Percer-Fraiser-Chambrer") {percer_fraiser_chambrer_05_b_V2014_FREE_FR}
					item_generation(["percer-fraiser-chambrer","Percage-Fraisage-Chambrage","Usinage d'un percage","Percage-Fraisage-Chambrage"],cmd,toolbar)		
				end

			elsif lib=="Caisson_bas"		
				present = true
				present=false unless defined? caisson_bas_03_V2014_FREE_PRO_FR
				if present
					cmd = UI::Command.new("Caisson bas") {caisson_bas_03_V2014_FREE_PRO_FR} 
					item_generation(["Caisson-bas","Caisson bas","Generer un caisson bas","Caisson bas"],cmd,toolbar)		 				 
				end

			elsif lib=="Caisson_haut"
				present = true
				present=false unless defined? caisson_03_V2014_FREE_PRO_FR
				if present
					cmd = UI::Command.new("Caisson haut") {caisson_03_V2014_FREE_PRO_FR} 
					item_generation(["Caisson-haut","Caisson haut","Generer un caisson haut","Caisson haut"],cmd,toolbar)		 				
				end

			elsif lib=="Aqueues"
				if Object.const_defined?('Aqueues') 		
					cmd = UI::Command.new("Queue_Droite") {
						@@T_queue = "Droite"
						Sketchup.active_model.select_tool Aqueues.new} 
					item_generation(["QD","Queues droites","Usiner un assemblage à queues droites","Queues droites"],cmd,toolbar)		 				
					cmd = UI::Command.new("Queue_Aronde") {Aqueues.new
						@@T_queue = "Aronde"
						Sketchup.active_model.select_tool Aqueues.new } 
					item_generation(["QA","Queues d'aronde","Usiner un assemblage à queues d'aronde","Queues d'aronde"],cmd,toolbar)		 				
					cmd = UI::Command.new("Queue_Ronde") {
						@@T_queue = "Ronde"
						Sketchup.active_model.select_tool Aqueues.new } 
					item_generation(["QAR","Queues rondes","Usiner un assemblage à queues rondes","Queues rondes"],cmd,toolbar)		 				  
				end
				
			elsif lib=="Systeme_32"
				if Object.const_defined?('Systeme_32') 
					cmd = UI::Command.new("Systeme 32") {Sketchup.active_model.select_tool Systeme_32.new} 
					item_generation(["Syst_32","Systeme 32","Percer au systeme 32","Systeme 32"],cmd,toolbar)		 				
				end
				
			elsif lib=="Systeme_kreg"
				if Object.const_defined?('Systeme_kreg') 
					cmd = UI::Command.new("Systeme Kreg") {Sketchup.active_model.select_tool Systeme_kreg.new} 
					item_generation(["kreg","Systeme Kreg","Usiner percage Kreg","Systeme Kreg"],cmd,toolbar)		 				
				end		

			elsif lib=="Mise_en_page"
				if Object.const_defined?('Mise_en_page') 
					cmd = UI::Command.new("Mise_en_page") {
						@@Mep="Gen"
						Sketchup.active_model.select_tool Mise_en_page.new} 
					item_generation(["mise_page","Mise en page","Genere une mise en page de chaque composant","Mise en page"],cmd,toolbar)		 				
				end		

			elsif lib=="Quincaillerie"
				if Object.const_defined?('Quincaillerie') 
					cmd = UI::Command.new("Quincaillerie") {Sketchup.active_model.select_tool Quincaillerie.new} 
					item_generation(["quinc","Quincaillerie","Ajouter une quincaillerie","Quincaillerie"],cmd,toolbar)		 				
				end
				
			elsif lib=="Aboutage"				
				if Object.const_defined?('Aboutage') 
					cmd = UI::Command.new("Aboutage") {Sketchup.active_model.select_tool Aboutage.new} 
					item_generation(["Aboutage","Aboutage","Usiner un aboutage","Aboutage"],cmd,toolbar)		 				
				end

			elsif lib=="Percage"						
				if Object.const_defined?('Percage') 
					cmd = UI::Command.new("Percage") {Sketchup.active_model.select_tool Percage.new} 
					item_generation(["Percage","Percage","Usiner un percage","Percage"],cmd,toolbar)		 				
				end

			elsif lib=="Caissons"				
				if Object.const_defined?('Caissons') 
					cmd = UI::Command.new("Caissons") {Sketchup.active_model.select_tool Caissons.new} 
					item_generation(["Caissons","Caissons","Generer un caisson","Caissons"],cmd,toolbar)		 				
				end
			elsif lib=="Chevillage"				
				if Object.const_defined?('Chevillage') 
					cmd = UI::Command.new("Chevillage") {Sketchup.active_model.select_tool Chevillage.new} 
					item_generation(["Cheville","Chevillage","Cheviller un assemblage","Chevillage"],cmd,toolbar)		 				
				end
			elsif lib=="Etire"				
				if Object.const_defined?('Do_stretching') 
					cmd = UI::Command.new("Etire") {Sketchup.active_model.select_tool Do_stretching.new} 
					item_generation(["Etire","Etire","Allonger-raccourcir","Etire"],cmd,toolbar)		 				
				end
			elsif lib=="Vis"				
				if Object.const_defined?('Assemblage_vis') 
					cmd = UI::Command.new("Assemblage_vis") {Sketchup.active_model.select_tool Assemblage_vis.new} 
					item_generation(["Vis","Assemblage_vis","Assemblage par vis","Vis"],cmd,toolbar)		 				
				end
			elsif lib=="Entaille"				
				if Object.const_defined?('Entaille') 
					cmd = UI::Command.new("Entaille") {Sketchup.active_model.select_tool Entaille.new} 
					item_generation(["Entaille","Entaille","Usiner une entaille","Entaille"],cmd,toolbar)		 				
				end
			elsif lib=="Bouffetout"				
				if Object.const_defined?('Bouffetout') 
					cmd = UI::Command.new("Bouffetout") {Sketchup.active_model.select_tool Bouffetout.new} 
					item_generation(["Bouffetout","Bouffetout","Usinage avec bouffetout","Bouffetout"],cmd,toolbar)		 				
				end
			end
		}			
		toolbar.show
	end #end if
	
	
	$blb_bois_zmenu_BLB_Bois_loaded = true



