require 'Extensions'

def item_generation(cont,comd,toolbar)
	path_icons=Sketchup.find_support_file "Plugins/BLB-Bois/Icons"
	jol_icons = File.join(path_icons,cont[0]+'_s.png') 
	jol_iconl = File.join(path_icons,cont[0]+'_L.png') 
	comd.small_icon = jol_icons 
	comd.large_icon = jol_iconl
	comd.tooltip = cont[1]
	comd.status_bar_text = cont[2]
	comd.menu_text = cont[3]
	toolbar.add_item comd 
end

def skp8_plugins_load()
	path_plug=Sketchup.find_support_file "Plugins"
	if File.exist?(File.join(path_plug,"Piece.rb")) || File.exist?(File.join(path_plug,"Piece.rbs")) 
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Piece','genere_piece.rbs')) end
	if File.exist?(File.join(path_plug,"Tenon&Mortaise.rb")) || File.exist?(File.join(path_plug,"Tenon&Mortaise.rbs"))
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Tenon_mortaise','usine_tenon_mortaise.rbs')) end
	if File.exist?(File.join(path_plug,"Face_reference.rb")) 
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Face_reference','faces_reference.rbs')) end
	if File.exist?(File.join(path_plug,"Usinage.rb")) || File.exist?(File.join(path_plug,"Usinage.rbs"))
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Usinage','usine_rfm.rbs')) end
	if File.exist?(File.join(path_plug,"Chapeau_gendarme.rb")) || File.exist?(File.join(path_plug,"Chapeau_gendarme.rbs"))  
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Chapeau_gendarme','usine_chapeau_gendarme.rbs')) end
	if File.exist?(File.join(path_plug,"Coupe.rb")) || File.exist?(File.join(path_plug,"Coupe.rbs"))
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Coupe','genere_coupe.rbs')) end
	if File.exist?(File.join(path_plug,"TenonM_renforce.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','TenonRenforce','usine_tm_r_ep.rbs')) end
	if File.exist?(File.join(path_plug,"Fiche_debit.rb")) || File.exist?(File.join(path_plug,"Fiche_debit.rbs"))
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Fiche_debit','genere_fiche_debit.rbs')) end
	if File.exist?(File.join(path_plug,"Rafale_TM.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Rafale_tenon','usine_rafale_tm.rbs')) end	
	if File.exist?(File.join(path_plug,"Assemblages.rb")) || File.exist?(File.join(path_plug,"Assemblage.rbs"))
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Assemblage','usine_assemblage.rbs')) end
	if File.exist?(File.join(path_plug,"Bouvetage.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Bouvetage','usine_bouvetage.rbs')) end
	if File.exist?(File.join(path_plug,"Usinage_contour.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Usinage_contour','usine_contour.rbs')) end
	if File.exist?(File.join(path_plug,"Usinage_cadre.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Usinage_cadre','usine_cadre.rbs')) end
	if File.exist?(File.join(path_plug,"percer_fraiser_chambrer_05_b_V2014_FREE_FR.rb")) then Sketchup.load(File.join(path_plug,'blb_percer_fraiser_chambrer_05_b','blb_loader.rb')) end
	if File.exist?(File.join(path_plug,"caisson_03_V2014_FREE_PRO_FR.rb")) then Sketchup.load(File.join(path_plug,'blb_caisson_haut_03','blb_loader.rb')) end
	if File.exist?(File.join(path_plug,"caisson_bas_03_V2014_FREE_PRO_FR.rb")) then Sketchup.load(File.join(path_plug,'blb_caisson_bas_03','blb_loader.rb')) end
	if File.exist?(File.join(path_plug,"Aqueues.rb")) || File.exist?(File.join(path_plug,"Aqueues.rbs")) 
		then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Aqueues','usine_queues.rbs')) end
	if File.exist?(File.join(path_plug,"Systeme_32.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Systeme_32','usine_systeme_32.rbs')) end		
	if File.exist?(File.join(path_plug,"Aboutage.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Aboutage','usine_aboutage.rbs')) end		
	if File.exist?(File.join(path_plug,"Projection_2D.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Projection_2D','genere_projection_2d.rbs')) end		
	if File.exist?(File.join(path_plug,"Mise_en_page.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Mise_en_page','genere_mise_en_page.rbs')) end
	if File.exist?(File.join(path_plug,"Percage.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Percage','usine_percage.rbs')) end	
	if File.exist?(File.join(path_plug,"Caissons.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Caissons','genere_caissons.rbs')) end	
	if File.exist?(File.join(path_plug,"Bouvetage.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Bouvetage','usine_bouvetage.rbs')) end	
	if File.exist?(File.join(path_plug,"Systeme_Kreg.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Systeme_Kreg','usine_syst_kreg.rbs')) end
	if File.exist?(File.join(path_plug,"Vis.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Vis','assemblage_vis.rbs')) end
	if File.exist?(File.join(path_plug,"Quincaillerie.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Quincaillerie','ajout_quincaillerie.rbs')) end
	if File.exist?(File.join(path_plug,"Entaille.rb")) then Sketchup.load(File.join(path_plug,'BLB-Bois','Ressources','Entaille','usine_entaille.rbs')) end
end

def erase_old_versions()
	path_plug=Sketchup.find_support_file "Plugins"

	if File.exist?(File.join(path_plug,"Menu_BLB-Bois.rb")) then File.delete(File.join(path_plug,"Menu_BLB-Bois.rb")) end	
	if File.exist?(File.join(path_plug,"Menu_BLB-Bois.rbs")) then File.delete(File.join(path_plug,"Menu_BLB-Bois.rbs")) end
	# version=Sketchup.version
	# if version.to_i >16 && version[3].to_i>=1
		if File.exist?(File.join(path_plug,"Zmenu_BLB-Bois.rbs")) then File.delete(File.join(path_plug,"Zmenu_BLB-Bois.rbs")) end
	# else
		if File.exist?(File.join(path_plug,"Zmenu_BLB-Bois.rb")) then File.delete(File.join(path_plug,"Zmenu_BLB-Bois.rb")) end
	# end

	if File.exist?(File.join(path_plug,"Piece.rbs")) && File.exist?(File.join(path_plug,"Piece.rb")) then File.delete(File.join(path_plug,"Piece.rbs")) end	
	if File.exist?(File.join(path_plug,"Tenon&Mortaise.rbs")) && File.exist?(File.join(path_plug,"Tenon&Mortaise.rb")) 
		File.delete(File.join(path_plug,"Tenon&Mortaise.rbs"))
	end
	if File.exist?(File.join(path_plug,"Tenon&Mortaise.rb"))
		if File.exist?(File.join(path_plug,'Tenon&Mortaise.skp')) then File.delete(File.join(path_plug,'Tenon&Mortaise.skp')) end
		if File.exist?(File.join(path_plug,'Tenon&Mortaise.txt')) then File.delete(File.join(path_plug,'Tenon&Mortaise.txt')) end		
	end	
	
	if File.exist?(File.join(path_plug,"Usinage.rbs")) && File.exist?(File.join(path_plug,"Usinage.rb")) 
		File.delete(File.join(path_plug,"Usinage.rbs"))
	end
	if File.exist?(File.join(path_plug,"Usinage.rb")) 
		if File.exist?(File.join(path_plug,'Usinage.txt')) then File.delete(File.join(path_plug,'Usinage.txt')) end
		if File.exist?(File.join(path_plug,'Usinage.skp')) then File.delete(File.join(path_plug,'Usinage.skp')) end
		if File.exist?(File.join(path_plug,'USINAGE - Guide Utilisateur - v1.0.pdf')) then File.delete(File.join(path_plug,'USINAGE - Guide Utilisateur - v1.0.pdf')) end	
	end	
	
	if File.exist?(File.join(path_plug,"Chapeau_gendarme.rbs")) && File.exist?(File.join(path_plug,"Chapeau_gendarme.rb")) 
		File.delete(File.join(path_plug,"Chapeau_gendarme.rbs")) 
	end
	if File.exist?(File.join(path_plug,"Chapeau_gendarme.rb")) 
		if File.exist?(File.join(path_plug,'Chapeau_gendarme.skp')) then File.delete(File.join(path_plug,'Chapeau_gendarme.skp')) end		
		if File.exist?(File.join(path_plug,'Chapeau_gendarme.txt')) then File.delete(File.join(path_plug,'Chapeau_gendarme.txt')) end
		if File.exist?(File.join(path_plug,'Chapeau_de_gendarme.rb')) then File.delete(File.join(path_plug,'Chapeau_de_gendarme.rb')) end		
	end	
	
	if File.exist?(File.join(path_plug,"Coupe.rbs")) && File.exist?(File.join(path_plug,"Coupe.rb")) then File.delete(File.join(path_plug,"Coupe.rbs")) end	
	if File.exist?(File.join(path_plug,"Coupes.rb")) && File.exist?(File.join(path_plug,"Coupe.rb")) then File.delete(File.join(path_plug,"Coupes.rb")) end	
	
	if File.exist?(File.join(path_plug,"Fiche_debit.rbs")) && File.exist?(File.join(path_plug,"Fiche_debit.rb")) 
		File.delete(File.join(path_plug,"Fiche_debit.rbs")) 
	end
	if File.exist?(File.join(path_plug,"Fiche_debit.rb"))
		if File.exist?(File.join(path_plug,'Fiche_debit.txt')) then File.delete(File.join(path_plug,'Fiche_debit.txt')) end
	end	
	
	if File.exist?(File.join(path_plug,"Aqueues.rbs")) && File.exist?(File.join(path_plug,"Aqueues.rb")) 
		File.delete(File.join(path_plug,"Aqueues.rbs")) 
	end
	if File.exist?(File.join(path_plug,"Aqueues.rb")) 
		if File.exist?(File.join(path_plug,'BLB-Bois','Assemblage a queue - Guide Utilisateur - v1.0.pdf')) then File.delete(File.join(path_plug,'BLB-Bois','Assemblage a queue - Guide Utilisateur - v1.0.pdf')) end
		if  File.exist?(File.join(path_plug,'BLB-Bois','usine_queues.rbs')) then File.delete(File.join(path_plug,'BLB-Bois','usine_queues.rbs')) end
	end

	if File.exist?(File.join(path_plug,"Assemblages.rb"))
		if File.exist?(File.join(path_plug,'Assemblage.rbs')) then File.delete(File.join(path_plug,'Assemblage.rbs')) end
		if File.exist?(File.join(path_plug,'Assemblage.rb')) then File.delete(File.join(path_plug,'Assemblage.rb')) end
		if File.exist?(File.join(path_plug,'Assemblage.txt')) then File.delete(File.join(path_plug,'Assemblage.txt')) end
		if File.exist?(File.join(path_plug,'Assemblage.skp')) then File.delete(File.join(path_plug,'Assemblage.skp')) end	
	end	
end

